#spring配置
spring:
  data:
    redis:
      ##redis 单机环境配置
      host: 127.0.0.1
      port: 6379
      password:
      database: 0
      ssl:
        enabled: false
      ##redis 集群环境配置
      #cluster:
      #  nodes: 127.0.0.1:7001,127.0.0.1:7002,127.0.0.1:7003
      #  commandTimeout: 5000
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    #driver-class-name: org.postgresql.Driver
    #driver-class-name: oracle.jdbc.OracleDriver
    #driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
    #driver-class-name: dm.jdbc.driver.DmDriver
    #driver-class-name: com.yashandb.jdbc.Driver
    #driver-class-name: com.kingbase8.Driver
    druid:
      # MySql、PostgreSQL、SqlServer、DaMeng校验
      validation-query: select 1
      # Oracle、YashanDB校验
      #oracle: true
      #validation-query: select 1 from dual

#项目模块集中配置
blade:
  #分布式锁配置
  lock:
    enabled: false
    address: redis://127.0.0.1:6379
  #多团队协作服务配置
  loadbalancer:
    #开启配置
    enabled: true
    #负载均衡优先调用的ip段
    prior-ip-pattern:
      - 192.168.0.*
      - 127.0.0.1
  #通用开发生产环境数据库地址(特殊情况可在对应的子工程里配置覆盖)
  datasource:
    dev:
      # MySql
      url: jdbc:mysql://localhost:3306/transport?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&tinyInt1isBit=false&allowMultiQueries=true&serverTimezone=GMT%2B8&allowPublicKeyRetrieval=true
      username: root
      password: root
      # PostgreSQL
      #url: jdbc:postgresql://127.0.0.1:5432/bladex
      #username: postgres
      #password: 123456
      # Oracle
      #url: jdbc:oracle:thin:@//127.0.0.1:1521/ORCLPDB
      #username: BLADEX
      #password: BLADEX
      # SqlServer
      #url: jdbc:sqlserver://127.0.0.1:1433;DatabaseName=bladex
      #username: bladex
      #password: bladex
      # DaMeng
      #url: jdbc:dm://127.0.0.1:5236/BLADEX?zeroDateTimeBehavior=convertToNull&useUnicode=true&characterEncoding=utf-8
      #username: BLADEX
      #password: BLADEX
      # YashanDB
      #url: jdbc:yasdb://127.0.0.1:1688/BLADEX
      #username: BLADEX
      #password: BLADEX
      # KingbaseES
      #url: jdbc:kingbase8://localhost:4321/bladex
      #username: kingbase
      #password: 123456

#第三方接口配置
thirdParty:
  ocr:
    # OCR磅单、车牌识别接口地址
    baseUrl: http://127.0.0.1:8080
    # OCR证件识别接口地址
    baseOtherUrl: http://127.0.0.1:8080
  wps:
    # WPS开放接口地址
    baseUrl: http://127.0.0.1:8080
  oa:
    # OA开放接口地址
    baseUrl: http://127.0.0.1:8080
  track:
    # 轨迹开放接口地址
    baseUrl: http://127.0.0.1:8080
  mk:
    # MK开放接口地址
    baseUrl: http://127.0.0.1:8080


powerjob:
  worker:
    enabled: false
    server-address: 172.16.203.228:7700
